mikrocontroller.net

Forum: Gesperrte Threads g++ (4.3) problem beim compilieren von UISP


Autor: msnider (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
hallo leute,

habe versucht meine Entwicklungsumgebung auf das neue Dist(11.1) von
SUSE zu erneuern. Alles klappte bis zum UISP allerletzte Release 2005
Der Kompiler G++ 4.3 bricht ab mit der Meldung deprecated string
constant Zeile in der AVR.C
const char* TAvr::irgendwas[] = {"foo","bar","...",NULL};

Meine Frage ist, hat jemand schon Erfahrung auf dem 4.3 Compiler mit
UISP. Oder gibt es eine Compileroption die dieses Warning, das 
schließlich
zum ERROR mutiert, abstellt. So eine Art 
Rückwärtskompatibilitätschalter?

Arbeite zur Zeit noch mit einer UISP, die ich auf einem anderen System
kompiliert habe und mit der Pinzette in die neue Umgebung installiert
habe. Würde dies aber gerne ändern, da ich alte Liberies mit schleppen
muß.

Danke im Voraus an die Community

Michel

Autor: Jörg Wunsch (dl8dtl) (Moderator) Benutzerseite
Datum:

Bewertung
0 lesenswert
nicht lesenswert

Dieser Beitrag ist gesperrt und kann nicht beantwortet werden.